package com.xhpc.charging.station.service;

import com.xhpc.common.core.domain.R;
import com.xhpc.common.domain.XhpcTimingChargingPowerModel;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

public interface IXhpcTimingChargingPowerService {

    List<Map<String, Object>> list(HttpServletRequest request, String tenantId, Long operatorId, String reason, Integer status, String startTime, String endTime, Long chargingStationId, String endSatrtTime, String endEndTime,Integer type);

    R addXhpcTimingChargingPowerModel(HttpServletRequest request, XhpcTimingChargingPowerModel xhpcTimingChargingPowerModel);

    R updateXhpcTimingChargingPowerModel(Long timingChargingPowerId);

    R getXhpcTimingChargingPowerModelMessage(Long timingChargingPowerId);

    R getXhpcTimingChargingPowerModelCron();
}
